Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.plugin.tpc.sip
Interface TPCMBean

public interface TPCMBean

Runtime MBean to configure the third party call control plugin.

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Field Summary
`static boolean` | `chargingAllowed` Specifies if charging is allowed or not
`static String` | `SIPNodePassword` Sets the JNDI password to access the SIP server.
`static String` | `SIPNodeUrl` Specifies the WebLogic SIP Server JNDI URL, e.g.
`static String` | `SIPNodeUsername` Sets the JNDI user name to access the SIP server.
`static int` | `statusRetentionTime` Specified the length of time in minutes to retain status after the termination of the call

Method Summary
`boolean` | `getChargingAllowed()`
`String` | `getSIPNodePassword()` Gets the JNDI password to access the SIP server.
`String` | `getSIPNodeUrl()` Gets the SIP server JNDI URL.
`String` | `getSIPNodeUsername()` Gets the JNDI user name to access the SIP server.
`int` | `getStatusRetentionTime()`
`void` | `setChargingAllowed(boolean allowed)`
`void` | `setSIPNodePassword(String password)` Sets the JNDI password to access the SIP server.
`void` | `setSIPNodeUrl(String url)` Sets the SIP server JNDI URL.
`void` | `setSIPNodeUsername(String username)` Sets the JNDI user name to access the SIP server.
`void` | `setStatusRetentionTime(int t)`

Field Detail

### chargingAllowed

    public static final boolean chargingAllowed

  Specifies if charging is allowed or not

  See Also:
    Constant Field Values

### SIPNodePassword

    public static final String SIPNodePassword

  Sets the JNDI password to access the SIP server.

  See Also:
    Constant Field Values

### SIPNodeUrl

    public static final String SIPNodeUrl

  Specifies the WebLogic SIP Server JNDI URL, e.g. t3://127.0.0.1:7002

  See Also:
    Constant Field Values

### SIPNodeUsername

    public static final String SIPNodeUsername

  Sets the JNDI user name to access the SIP server.

  See Also:
    Constant Field Values

### statusRetentionTime

    public static final int statusRetentionTime

  Specified the length of time in minutes to retain status after the termination of the call

  See Also:
    Constant Field Values

Method Detail

### getChargingAllowed

    public boolean getChargingAllowed()
                               throws ManagementException

  Throws:
    `ManagementException`

### getSIPNodePassword

    public String getSIPNodePassword()
                              throws ManagementException

  Gets the JNDI password to access the SIP server.

  Returns:
    The currently configured sip node password.
  Throws:
    `ManagementException`

### getSIPNodeUrl

    public String getSIPNodeUrl()
                         throws ManagementException

  Gets the SIP server JNDI URL.

  Returns:
    The currently configured sip node URL.
  Throws:
    `ManagementException`

### getSIPNodeUsername

    public String getSIPNodeUsername()
                              throws ManagementException

  Gets the JNDI user name to access the SIP server.

  Returns:
    The currently configured sip node name.
  Throws:
    `ManagementException`

### getStatusRetentionTime

    public int getStatusRetentionTime()
                               throws ManagementException

  Throws:
    `ManagementException`

### setChargingAllowed

    public void setChargingAllowed(boolean allowed)
                            throws ManagementException

  Throws:
    `ManagementException`

### setSIPNodePassword

    public void setSIPNodePassword(String password)
                            throws ManagementException

  Sets the JNDI password to access the SIP server.

  Parameters:
    `password` - the password.
  Throws:
    `ManagementException`

### setSIPNodeUrl

    public void setSIPNodeUrl(String url)
                       throws ManagementException

  Sets the SIP server JNDI URL.

  Parameters:
    `url` - SIP server JNDI URL
  Throws:
    `ManagementException`

### setSIPNodeUsername

    public void setSIPNodeUsername(String username)
                            throws ManagementException

  Sets the JNDI user name to access the SIP server.

  Parameters:
    `username` - the user name.
  Throws:
    `ManagementException`

### setStatusRetentionTime

    public void setStatusRetentionTime(int t)
                                throws ManagementException

  Throws:
    `ManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD